UVC Webconsole cannot be started with Java 7

book

Article ID: 222923

calendar_today

Updated On:

Products

CA Automic Dollar Universe

Issue/Introduction

After upgrading the UVC Webconsole to 6.10.x, being hosted in a Tomcat in https mode (url https://xxxxxxxxxxxx), some users having Java 7 as JRE are unable to launch it with the error:

Erreur sur le fichier PubClient.jar entré non signé ( unsigned entry)

Cause

Outdated and incompatible version of Java in workstations ( Java 7).

Environment

Release : 6.10

Component : DOLLAR UNIVERSE

Subcomponent: Univiewer.Console (Webconsole or Webstart)

Resolution

UVC 6.10.x is incompatible with Java 7 or Java 6 as explained in the Compatibility Matrix.

Solution:

Upgrade Java on the workstations to a supported version ( Java 8 or Java 11) for UVC 6.10.x, we recommend to use the latest Java 8 update available to avoid security issues.

In this case, workstation's Java was updated from Java 7 to Java 8 update 121 which solved the issue to download the jars from the Tomcat in https mode.

Attachments